<h1>Résultat de recherche avancée</h1>

<p><%= link_to 'Retour', new_search_path, class:"btn btn-danger", style:"color:white" %></p>

<% if @search.search_locations.empty? %>
  <p>Aucun résultat trouvé</p>

<% else %>
  <div class="card-deck mt-4">
    <div class="row">
        <% @search.search_locations.each do |location| %>
          <div class="col">
            <div class="card" style="width: 18rem">
              <%= link_to '', location, class: "stretched-link"%>
              <img class="card-img-top" src="<%= location.photos %>" alt="Location image" style="width: 18rem; height: 10rem">
              <div class="card-body">
                <h5 class="card-title"><%= location.titre %> | <%= location.v_type %></h5>
                <p class="card-text"><%= location.city %> <%= location.zip %></p>
              </div>
              <div class="card-footer">
                  <small class="text-muted "><%= location.price %>€/nuit</small>
                  <small class="text-muted"> | Noté <% if location.avg_rate == 11 %>-<% else %><%= location.avg_rate %><% end %>/10</small>
              </div>
            </div>
            <br>
          </div>
        <% end %>
    </div>
  </div>
<% end %>
